## $Id: utils.py 8046 2012-04-05 11:28:20Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""General helper functions and utilities for the application section.
"""

import grok
from waeup.kofa.applicants.interfaces import IApplicantsUtils
from waeup.kofa.interfaces import MessageFactory as _

class ApplicantsUtils(grok.GlobalUtility):
    """A collection of parameters and methods subject to customization.
    """
    grok.implements(IApplicantsUtils)

    APP_TYPES_DICT = {
      'app': ['General Studies', 'APP'],
      }

    SEPARATORS_DICT = {
      'form.course1': _(u'Desired Study Courses'),
      'form.screening_score': _(u'Process Data'),
      }
